Sympa::Spindle::ProcessMessage(3Sympa)

NAME
Sympa::Spindle::ProcessMessage - Workflow of command processing

SYNOPSIS
  use Sympa::Spindle::ProcessMessage;

  my $spindle = Sympa::Spindle::ProcessMessage->new(
      message => $message, scenario_context => {sender => $sender});
  $spindle->spin;

DESCRIPTION
Sympa::Spindle::ProcessMessage defines workflow to process commands in message.

When spin() method is invoked, it parses message and fetch requests and processes them.

TBD.

•

  Public methods
See also "Public methods" in Sympa::Spindle.

new ( scenario_context => {context...}, [ message => $message ] )
spin ( )
    new() may take following options:

    scenario_context => {context...}
        Authorization context given to scenario.

    message => $message
        See Sympa::Request::Message.

  Properties
See also "Properties" in Sympa::Spindle.

{distaff}
    Instance of Sympa::Request::Message class.

SEE ALSO
Sympa::Request, Sympa::Request::Message, Sympa::Spindle.

HISTORY
Sympa::Spindle::ProcessMessage appeared on Sympa 6.2.13.